---
title: "Update Channel Account"
slug: "update-channel-account"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
canonical: "docs.wasabi.com/update-channel-account"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Update Channel Account
Put/v1/channel-accounts/{channelAccountId}
Update a specific Channel Account.
**Note:** If `subAccountDefaultStorageQuotaType` is "Hard quota", then `subAccountDefaultPurchasedStorage` must be a positive number.
SecurityHTTPType basic
HTTP Basic Authentication using your WACM username and API key.
For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).
Path parameterschannelAccountIdintegerRequired
Channel Account ID
Example12345
Body parametersminimal
Single field update
```json
{
"name": "Updated Channel Account"
}
```
full
All fields
```json
{
"name": "Updated Channel Account",
"contactEmail": "updated@example.com",
"active": "True",
"purchasedStorage": "5",
"subAccountDefaultPurchasedStorage": "1",
"subAccountDefaultStorageQuotaType": "Soft quota",
"storageQuotaType": "Soft quota",
"address1": "123 Main St",
"city": "Boston",
"country": "United States",
"state": "Massachusetts",
"zip": "02101"
}
```
object namestring Min length3Max length100
contactEmailstring (email)
activeboolean
purchasedStoragenumber
Storage quota in TB
subAccountDefaultPurchasedStoragenumber
Default storage quota for new sub-accounts. Required if subAccountDefaultStorageQuotaType is "Hard quota".
subAccountDefaultStorageQuotaTypestring Valid values[
"Soft quota",
"Hard quota"
]
storageQuotaTypestring Valid values[
"Soft quota",
"Hard quota"
]
address1string
address2string
countrystring
citystring
statestring
zipstring
mainPhonestring
billingPhonestring
billingEmailstring (email)
businessNumberstring
taxIdstring
fiscalNumberstring
vatNumberstring
websitestring (uri)
Responses200
Successfully updated the Channel Account
```json
{
"success": "True",
"code": "RES-I-0050",
"message": "Channel Account has been successfully updated!",
"data": {
"id": "53211",
"name": "Updated Channel Account",
"controlAccountId": "53165",
"controlAccountName": "Sample Control Account",
"governanceAccountName": "Sample Governance",
"governanceAccountId": "45424",
"purchasedStorage": "5",
"subAccountDefaultPurchasedStorage": "1",
"subAccountDefaultStorageQuotaType": "Soft quota",
"storageQuotaType": "Soft quota",
"subAccountStorage": "0.015625",
"billableActiveStorage": "0.014321",
"billableDeletedStorage": "0.001304",
"subAccountsCount": "3",
"status": "Active",
"creationDate": "2024-07-09T08:36:50.898Z",
"contactEmail": "updated@example.com",
"address1": "123 Main St",
"city": "Boston",
"state": "Massachusetts",
"country": "United States",
"zip": "02101",
"ssoEnabled": "False",
"deleted": "False"
}
}
```
Expand Allobject successboolean
codestring
messagestring
dataobject (ChannelAccountResponse) idinteger
namestring
controlAccountIdinteger
controlAccountNamestring
governanceAccountIdinteger
governanceAccountNamestring
purchasedStoragenumber
subAccountDefaultPurchasedStoragenumber
subAccountDefaultStorageQuotaTypestring
storageQuotaTypestring
subAccountStoragenumber
billableActiveStoragenumber
billableDeletedStoragenumber
subAccountsCountinteger
statusstring
imageUrlstring | null
creationDatestring (date-time)
address1string
address2string
countrystring
citystring
statestring
zipstring
mainPhonestring
billingPhonestring
contactEmailstring
billingEmailstring
businessNumberstring
taxIdstring
fiscalNumberstring
vatNumberstring
websitestring
ssoEnabledboolean
deletedboolean